## gwyddion gwyddion — Base functions, library initialization |

## Functions

void | gwy_type_init ()

## Includes

    #include <libgwyddion/gwyddion.h>

## Description

Gwyddion classes has to be initialized before they can be safely deserialized. The function `gwy_type_init()` performs this initialization.

## Functions

### gwy_type_init ()

    void
    gwy_type_init (void);

Makes libgwyddion types safe for deserialization and performs other initialization. You have to call this function from the main thread before using objects from libgwyddion.

It calls `g_type_init()` first to make sure GLib object system is initialized.

It is safe to call this function more than once, subsequent calls are no-op.

## See Also

GwySerializable